Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.query
[Java] Class HibernateProjectionAdapter

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.query.HibernateProjectionAdapter

    public class HibernateProjectionAdapter
    extends java.lang.Object

Adapts Grails datastore API to Hibernate projections.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`HibernateProjectionAdapter(org.grails.datastore.mapping.query.Query$Projection projection)`

Method Summary
`org.hibernate.criterion.Projection` | `toHibernateProjection()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateProjectionAdapter

    public HibernateProjectionAdapter(org.grails.datastore.mapping.query.Query$Projection projection)

Method Detail

### toHibernateProjection

    public org.hibernate.criterion.Projection toHibernateProjection()

Groovy Documentation